function [ GP ] = GP_interface( kernel_c , mean_c)
% GP_INTERFACE Defines a gaussian process

%% GP properties
GP.sensor.sigmaS_f = 0; % sensor noise standard deviation

%% GP mean
GP.mean.type_c = mean_c;
GP.mean.mean_t = MEAN_interface(mean_c);

%% GP covariance
GP.covariance.type_c   = kernel_c; % e.g. k_SE
GP.covariance.kernel_t = KERNEL_interface(kernel_c);

end
