function [ covariance_t ] = k_SE_vectorized( x,x_,parameters_t)
% K_SE squared exponential covariance function
    covariance_t = parameters_t.sigmaF_f^2*exp(-(pdist2(x,x_).^parameters_t.p_f)/(2*parameters_t.l_f^2));
end
