function [ optimization_problem_t ] = createOptimizationProblem_hartmann3D

[ optimization_problem_t ] = OPTIMIZATION_interface( @fun_hartmann3D, ...
    zeros(1,3), ones(1,3), '');
optimization_problem_t.dim_i=3;
optimization_problem_t.x_opt_ground_truth_t = [0.114614, 0.555649, 0.852547];

optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.l_f = 0.3233;
optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.sigmaF_f = 0.9353;
optimization_problem_t.algorithm_parameters_t.mean_t.parameters_t.mu_f = -0.9225;
optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.p_f = 2;

end
