function [ local_min_regions_t ] = LOCALMINIMUMREGIONS_interface( MAX_SEGMENTS_f )
%LOCALMINIMAREGIONSINTERFACE

%% search parameters for local regions
local_min_regions_t.search.type_c = ''; % search type, e.g. quadratic bayesian regression with specific cost function
local_min_regions_t.search.parameters_t = []; % various search parameter, depending on type

%% located minima regions
Segment.center = [];    % center of segment
Segment.parameters = [];% parameters of segment
Segment.beta = [];
Segment.objective = 0; % objective of minimum region

local_min_regions_t.segments_t = [];
for n=1:1:MAX_SEGMENTS_f
    local_min_regions_t.segments_t = ...
        [local_min_regions_t.segments_t, Segment];
end
local_min_regions_t.nSegments = 0;

end
