function [ Phi ] = quadFeature( X_t )

d = numel(X_t(1,:));
n = numel(X_t(:,1));

for i = 1:1:n %loop over data
    n_feat = 1;
    % offset
    Phi(i,1) = 1;
    % linear features
    for k = 1:1:d % loop over features
        n_feat = n_feat + 1;
        Phi(i,n_feat) = X_t(i,k);
    end
    % mixed terms
    for k = 1:1:d
        for kk = 1:1:d
            n_feat = n_feat + 1;
            Phi(i,n_feat) = X_t(i,k)*X_t(i,kk);
        end
    end
end

end
