function [ beta ] = quadReg( X_t,y_t )
%QUADREG quadratic regression

Phi = quadFeature(X_t);

temp1 = Phi'*Phi;
regularization_matrix = 1e-10*eye(size(temp1));
temp2 = inv(temp1 + regularization_matrix);
beta = temp2*Phi'*y_t;

end
