function [ ei ] = EI( mean, sigma ,f_opt )
%EI calcs expected improvement
    N = numel(mean);
    ei = zeros(N,1);
    for n=1:1:numel(mean)
        if sigma == 0
            ei(n) = max(f_opt - mean,0);
        else
            u = (f_opt -mean(n)) / sigma(n);
            ei(n) = sigma(n)*(u*normcdf(u,0,1) + normpdf(u));
        end
    end
end

