function [ alpha ] = policy( x, GP, optimization_problem )
    % calculate values needed for policy evaluation
    [ y,sigma ] = GP_fcn_wrapper( x,GP, optimization_problem );
    y_min = min(optimization_problem.y_t);

    % apply policy
    [ alpha ] = plainPolicy( y, sigma, y_min, ...
        optimization_problem.dim_i, optimization_problem.n_data_i,...
        optimization_problem.algorithm_parameters_t.policy_c );

end
