function plot2DGaussian( X,y,X_star,Y_star, mean, K )
    sigma = sqrt(diag(K));
    hold off
    surf(X_star,Y_star,reshape(mean,size(X_star)),real(reshape(2*sigma,size(X_star))));
    alpha(.3);
    colorbar;
    colormap jet;
    hold on
    if numel(X(:)) ~= 0
        scatter3(X(:,1),X(:,2),y,'b');
    end
    title('Gaussian Process');
    hold off
    grid on;
    xlabel('x');
    ylabel('y');
    zlabel('\mu(x,y)');
end
