function [ optimization_problem ] = OPTIMIZATION_interface( fun, ...
    lower_bounds_t, upper_bounds_t, algorithm_c)
%OPTIMIZATION_INTERFACE

optimization_problem.fun_func = fun;
optimization_problem.sigmaS_f = 0;
optimization_problem.dim_i = 0;
optimization_problem.lower_bounds_t = lower_bounds_t;
optimization_problem.upper_bounds_t = upper_bounds_t;
optimization_problem.algorithm_c = algorithm_c;

optimization_problem.X_t = [];
optimization_problem.y_t = [];
optimization_problem.n_data_i = 0;
optimization_problem.x_opt_ground_truth_t = [];

optimization_problem.algorithm_parameters_t.kernel_t.parameters_t.local_region_dependency_b = 0;
optimization_problem.algorithm_parameters_t.mean_t.parameters_t.local_region_dependency_b = 0;
optimization_problem.algorithm_parameters_t.c_min = 0.2;

end
