function [ optimization_problem_t ] = createOptimizationProblem_hartmann6D

[ optimization_problem_t ] = OPTIMIZATION_interface( @fun_hartmann6D, ...
    zeros(1,6), ones(1,6), '');
optimization_problem_t.dim_i=6;
optimization_problem_t.x_opt_ground_truth_t = [0.201689565685207   0.150010776505557   0.476873976571695 0.275332438690837   0.311651618446782   0.657300516402807];

optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.l_f = 0.8485;
optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.sigmaF_f = 0.1920;
optimization_problem_t.algorithm_parameters_t.mean_t.parameters_t.mu_f = -1.4582;
optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.p_f = 2;

end
