function [ optimization_problem_t ] = createOptimizationProblem_hole3D

[ optimization_problem_t ] = OPTIMIZATION_interface( @fun_hole3D, ...
    [-1,-1,-1], [1,1,1], '');
optimization_problem_t.dim_i=3;
optimization_problem_t.x_opt_ground_truth_t = [0.5   0.5    0.5];

optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.l_f = 0.3637;
optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.sigmaF_f = 0.1728;
optimization_problem_t.algorithm_parameters_t.mean_t.parameters_t.mu_f = 0.9183;
optimization_problem_t.algorithm_parameters_t.kernel_t.parameters_t.p_f = 2;
end
