function [ Z ] = fun_hole4D( X )
X = X-.5;
N = numel(X(:,1));
d = numel(X(1,:));

% calclate C matrix
c = 10;
for n=1:1:d
    C(n,n) = c^((n-1)/(d-1));
end

for n=1:1:numel(X(:,1))
    Z(n) = 1-exp(-X(n,:)*C*X(n,:)');
end

end
