optimization_problem.algorithm_c='gbo';
optimization_problem.algorithm_parameters_t.numInitSamples_i = 3;

% kernel parameters
optimization_problem.algorithm_parameters_t.covariance_c = 'k_SE_vectorized';
optimization_problem.algorithm_parameters_t.kernel_parameters_preset_b = 1;
optimization_problem_t.sigmaS_f = 0.001; % for now we assume no sensor noise! This is for numerical reasons when calculating the posterior! This is also not affected by model adaption!

% mean parameters
optimization_problem.algorithm_parameters_t.mean_c = 'CONST';
optimization_problem.algorithm_parameters_t.mean_parameters_preset_b = 1;

% global optimization heuristic
optimization_problem.algorithm_parameters_t.N_i = 20;
optimization_problem.algorithm_parameters_t.N_opt_restarts_i = 20;
optimization_problem.algorithm_parameters_t.policy_c = 'EI';

% adaptive model configuration
optimization_problem.algorithm_parameters_t.lengthscaleControllerCrossValidationLB = 0;
optimization_problem.algorithm_parameters_t.lengthscaleControllerCrossValidation = 0;
optimization_problem.algorithm_parameters_t.lengthscaleControllerAlpha = 0;
optimization_problem.algorithm_parameters_t.statistical_parameter_estimation = 0;
optimization_problem.algorithm_parameters_t.direct_local_optimum_b = 0;
algorithmParameters;
